subscriptions
Create a subscription
Create a subscription
POST
/
api
/
subscriptions
Create a subscription
curl --request POST \
--url https://api.fluid.app/api/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscription": {
"subscription_plan_id": 123,
"customer_id": 123,
"variant_id": 123,
"address_id": 123,
"payment_method_id": 123,
"include_company_wallet": true,
"cart_token": "<string>",
"timezone": "<string>",
"order_item_id": 123,
"status": "<string>",
"disabled": true,
"quantity": 123,
"metadata": {},
"notes": "<string>",
"tax": 1,
"next_bill_date": "2023-12-25"
}
}
'import requests
url = "https://api.fluid.app/api/subscriptions"
payload = { "subscription": {
"subscription_plan_id": 123,
"customer_id": 123,
"variant_id": 123,
"address_id": 123,
"payment_method_id": 123,
"include_company_wallet": True,
"cart_token": "<string>",
"timezone": "<string>",
"order_item_id": 123,
"status": "<string>",
"disabled": True,
"quantity": 123,
"metadata": {},
"notes": "<string>",
"tax": 1,
"next_bill_date": "2023-12-25"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subscription: {
subscription_plan_id: 123,
customer_id: 123,
variant_id: 123,
address_id: 123,
payment_method_id: 123,
include_company_wallet: true,
cart_token: '<string>',
timezone: '<string>',
order_item_id: 123,
status: '<string>',
disabled: true,
quantity: 123,
metadata: {},
notes: '<string>',
tax: 1,
next_bill_date: '2023-12-25'
}
})
};
fetch('https://api.fluid.app/api/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Body
application/json
Subscription params. next_bill_date is required and must be a date string in YYYY-MM-DD format.
Request payload
Show child attributes
Show child attributes
Response
string | number | boolean | null | any[] | object
Subscription created
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Create a subscription
